<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'auth_ldap', language 'fa', version '2.5'.
 *
 * @package     auth_ldap
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['auth_ldap_auth_user_create_key'] = 'ساختن کاربران خارجی';
$string['auth_ldap_bind_dn'] = 'If you want to use bind-user to search users, specify it here. Someting like \'cn=ldapuser,ou=public,o=org\'';
$string['auth_ldap_bind_dn_key'] = 'نام متمایز';
$string['auth_ldap_bind_pw'] = 'Password for bind-user.';
$string['auth_ldap_bind_pw_key'] = 'کلمهٔ رمز';
$string['auth_ldap_bind_settings'] = 'تنظیمات تعلقی';
$string['auth_ldap_changepasswordurl_key'] = 'آدرس صفحهٔ تغییر رمز ورود';
$string['auth_ldap_contexts'] = 'List of contexts where users are located. Separate different contexts with \';\'. For example: \'ou=users,o=org; ou=others,o=org\'';
$string['auth_ldap_contexts_key'] = 'زمینه‌ها';
$string['auth_ldap_create_context'] = 'If you enable user creation with email confirmation, specify the context where users are created. This context should be different from other users to prevent security issues. You don\'t need to add this context to ldap_context-variable, Moodle will search for users from this context automatically.';
$string['auth_ldap_create_context_key'] = 'زمینه برای کاربران جدید';
$string['auth_ldap_creators'] = 'List of groups whose members are allowed to create new courses. Separate multiple groups with \';\'. Usually something like \'cn=teachers,ou=staff,o=myorg\'';
$string['auth_ldap_creators_key'] = 'سازنده‌ها';
$string['auth_ldap_expiration_desc'] = 'برای غیر فعال کردن بررسی انقضای رمز ورود No را انتخاب کنید و یا LDAP را انتخاب کنید تا زمان انقضای رمز ورود مستقیماً از LDAP خوانده شود';
$string['auth_ldap_expiration_key'] = 'انقضاء';
$string['auth_ldap_expiration_warning_desc'] = 'تعداد روزهای بین دادن هشدار و انقضای رمز ورود.';
$string['auth_ldap_expiration_warning_key'] = 'هشدار انقضاء';
$string['auth_ldap_expireattr_key'] = 'مشخصهٔ انقضاء';
$string['auth_ldap_graceattr_desc'] = 'اختیاری: مشخصهٔ gracelogin را بازنویسی می‌کند';
$string['auth_ldap_gracelogin_key'] = 'مشخصهٔ ورود در وقت اضافه';
$string['auth_ldap_gracelogins_desc'] = 'پشتیبانی LDAP از gracelogin را فعال می‌کند. پس از انقضای رمز ورود، کاربر می‌تواند تا زمانی که مقدار gracelogin به صفر نرسیده است وارد سایت شود. با فعال کردن این تنظیم هنگامی که رمز ورود منقضی شده باشد پیام ورود در وقت اضافه نمایش داده می‌شود.';
$string['auth_ldap_gracelogins_key'] = 'ورود در وقت اضافه';
$string['auth_ldap_host_url'] = 'Specify LDAP host in URL-form like \'ldap://ldap.myorg.com/\' or \'ldaps://ldap.myorg.com/\'';
$string['auth_ldap_host_url_key'] = 'آدرس میزبان';
$string['auth_ldap_ldap_encoding'] = 'کدگذاری مورد استفاده توسط کارگزار LDAP را مشخص کنید. به احتمال زیاد utf-8 است. اکتیو دایرکتوری نسخهٔ ۲ مایکروسافت از کدگذاری‌های پیش‌فرض پلتفرم مانند cp1252، یا cp1250، یا ... استفاده می‌کند.';
$string['auth_ldap_ldap_encoding_key'] = 'کدگذاری LDAP';
$string['auth_ldap_login_settings'] = 'تنظیمات ورود';
$string['auth_ldap_memberattribute'] = 'Specify user member attribute, when users belongs to a group. Usually \'member\'';
$string['auth_ldap_memberattribute_isdn'] = 'اختیاری: مدیریت مقادیر مشخصهٔ عضو را بر عهده می‌گیرد. یا ۰ و یا ۱ است.';
$string['auth_ldap_memberattribute_isdn_key'] = 'مشخصهٔ عضو از dn استفاده می‌کند';
$string['auth_ldap_memberattribute_key'] = 'مشخصهٔ عضو';
$string['auth_ldap_noconnect'] = 'ماژول LDAP نمی‌تواند به کارگزار متصل شود: {$a}';
$string['auth_ldap_noextension'] = '<em>به نظر نمی‌رسد که ماژول PHP LDAP وجود داشته باشد. اگر می‌خواهید از این پلاگین شناسائی استفاده کنید، لطفاً مطمئن شوید که نصب و فعال باشد.</em>';
$string['auth_ldap_objectclass_key'] = 'کلاسِ شیء';
$string['auth_ldap_opt_deref'] = 'تعیین اینکه نام‌های مستعار در هنگام جستجو چگونه رسیدگی می‌شوند. یکی از این مقادیر را انتخاب کنید: «خیر» (LDAP_DEREF_NEVER) یا «بله» (LDAP_DEREF_ALWAYS)';
$string['auth_ldap_opt_deref_key'] = 'رجوع به محل ارجاع نام‌های مستعار';
$string['auth_ldap_passtype'] = 'قالب رمزهای جدید یا تغییر کرده در کارگزار LDAP را مشخص کنید.';
$string['auth_ldap_passtype_key'] = 'قالب رمز ورود';
$string['auth_ldap_passwdexpire_settings'] = 'تنظیمات مربوط به انقضای رمز ورود LDAP.';
$string['auth_ldap_preventpassindb'] = 'گزینهٔ بله را انتخاب کنید تا جلوی ذخیره شدن رمزهای ورود در پایگاه دادهٔ مودل گرفته شود.';
$string['auth_ldap_search_sub'] = 'Put value &lt;&gt; 0 if  you like to search users from subcontexts.';
$string['auth_ldap_search_sub_key'] = 'جستجوی زیرزمینه‌ها';
$string['auth_ldap_server_settings'] = 'تنظیمات کارگزار LDAP';
$string['auth_ldap_update_userinfo'] = 'Update user information (firstname, lastname, address..) from LDAP to Moodle. Look at /auth/ldap/attr_mappings.php for mapping information';
$string['auth_ldap_user_attribute'] = 'The attribute used to name/search users. Usually \'cn\'.';
$string['auth_ldap_user_attribute_key'] = 'مشخصهٔ کاربر';
$string['auth_ldap_user_settings'] = 'تنظیمات جستجوی کاربر';
$string['auth_ldap_user_type'] = 'چگونگی نگهداری کاربران در LDAP را انتخاب کنید. این تنظیم عملکرد انقضای زمان بودن در سایت، ورودهای موفق به سایت (grace logins)، و ایجاد کاربر را نیز تعیین خواهد کرد.';
$string['auth_ldap_user_type_key'] = 'نوع کاربر';
$string['auth_ldap_version'] = 'نسخهٔ پروتکل LDAP مورد استفاده توسط کارگزار شما.';
$string['auth_ldap_version_key'] = 'نسخه';
$string['auth_ldapdescription'] = 'This method provides authentication against an external LDAP server.
                                  If the given username and password are valid, Moodle creates a new user
                                  entry in its database. This module can read user attributes from LDAP and prefill
                                  wanted fields in Moodle.  For following logins only the username and
                                  password are checked.';
$string['auth_ldapextrafields'] = 'These fields are optional.  You can choose to pre-fill some Moodle user fields with information from the <B>LDAP fields</B> that you specify here. <P>If you leave these fields blank, then nothing will be transferred from LDAP and Moodle defaults will be used instead.<P>In either case, the user will be able to edit all of these fields after they log in.';
$string['auth_ldapnotinstalled'] = 'شناسایی LDAP قابل استفاده نیست. ماژول PHP LDAP نصب نشده است.';
$string['auth_ntlmsso_enabled'] = 'روی بله قرار دهید تا Single Sign On با استفاده از دامنهٔ NTLM انجام شود. <strong>توجه:</strong> برای اینکه کار کند نیازمند انجام تنظیمات اضافی بر روی کارگزار وب است. <a href="http://docs.moodle.org/en/NTLM_authentication">http://docs.moodle.org/en/NTLM_authentication</a> را ببینید.';
$string['auth_ntlmsso_enabled_key'] = 'فعال';
$string['auth_ntlmsso_ie_fastpath_key'] = 'مسیر سریع اینترنت اکسپلورر؟';
$string['auth_ntlmsso_subnet'] = 'اگر تعیین شود، SSO تنها برای سرویس‌گیرنده‌های داخل زیر شبکه انجام می‌شود. قالب: xxx.xxx.xxx.xxx/bitmask. زیر شبکه‌های مختلف را می‌توانید با «,» (کاما) از یکدیگر جدا کنید.';
$string['auth_ntlmsso_subnet_key'] = 'زیر شبکه';
$string['auth_ntlmsso_type'] = 'شیوهٔ شناسایی پیکربندی شده در کارگزار وب برای شناسایی کاربران (اگر مطمئن نیستید، NTLM را انتخاب کنید)';
$string['auth_ntlmsso_type_key'] = 'نوع شناسایی';
$string['didntfindexpiretime'] = 'تابع password_expire زمان انقضا را پیدا نکرد.';
$string['notcalledfromserver'] = 'نمی‌تواند از کارگزار وب صدا زده شود!';
$string['pagesize'] = 'اطمینان حاصل کنید که این مقدار از محدودیت تعیین‌شده برای اندازهٔ result set (حداکثر تعداد اطلاعاتی که می‌توانند در یک query بازگردند) در کارگزار LDAP شما کمتر باشد';
$string['pagesize_key'] = 'اندازهٔ صفحه';
$string['pluginname'] = 'Use an LDAP server';
$string['start_tls'] = 'استفاده از سرویس عادی LDAP (پورت ۳۸۹) با رمزنگاری TLS';
$string['start_tls_key'] = 'استفاده از TLS';
$string['usernotfound'] = 'کاربر در LDAP پیدا نشد';
